<?php

namespace common\logic\Producer\ProducerPriceRange\Wrapper;

use common\logic\AbstractContainer;
use common\logic\Producer\ProducerPriceRange\Model\ProducerPriceRange;
use common\logic\Producer\ProducerPriceRange\Repository\ProducerPriceRangeRepository;
use common\logic\Producer\ProducerPriceRange\Service\ProducerPriceRangeBuilder;

class ProducerPriceRangeContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return ProducerPriceRange::class;
    }

    public function getServices(): array
    {
        return [
            ProducerPriceRangeRepository::class,
            ProducerPriceRangeBuilder::class,
        ];
    }

    public function getRepository(): ProducerPriceRangeRepository
    {
        return ProducerPriceRangeRepository::getInstance();
    }

    public function getBuilder(): ProducerPriceRangeBuilder
    {
        return ProducerPriceRangeBuilder::getInstance();
    }
}